package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFEJ1 extends MwfRequest<MWFEJ1, MWFEJ1Response> {

    @Parameter(name = "SRC_ADDRESS_TYPE")
    MWFEJ1 srcAddressType(String srcAddressType);
    @Parameter(name = "SRC_ADR_INSTANCE_ID")
    MWFEJ1 srcAdrInstanceId(String srcAdrInstanceId);
    @Parameter(name = "SRC_CITY")
    MWFEJ1 srcCity(String srcCity);
    @Parameter(name = "SRC_COUNTRY_CODE")
    MWFEJ1 srcCountryCode(String srcCountryCode);
    @Parameter(name = "SRC_LRN")
    MWFEJ1 srcLrn(String srcLrn);
    @Parameter(name = "SRC_SN")
    MWFEJ1 srcSn(String srcSn);
    @Parameter(name = "SRC_STREET")
    MWFEJ1 srcStreet(String srcStreet);
    @Parameter(name = "SRC_SYSTEM")
    MWFEJ1 srcSystem(String srcSystem);
    @Parameter(name = "SRC_ZIP")
    MWFEJ1 srcZip(String srcZip);
}
